Module java.desktop
Package javax.swing.plaf.basic

## Class BasicDesktopPaneUI.NavigateAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicDesktopPaneUI.NavigateAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  BasicDesktopPaneUI

    protected class BasicDesktopPaneUI.NavigateAction
    extends AbstractAction

Handles navigating to the next internal frame.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields declared in interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
`protected` `NavigateAction()`

### Method Summary

### Methods declared in class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Action

`accept`

### Methods declared in interface java.awt.event.ActionListener

`actionPerformed`

### Constructor Detail

#### NavigateAction

    protected NavigateAction()